/* startupsd.cmd */
/* Lone Peak Automation, LLC */
/* http://home.att.net/~LPAInfo/upsmonitor.html */

/* Note: Placing UPSDAEM into the start-up folder causes
         UPSDAEM to exit immediately. Use this script to start up
         UPSDAEM from the start-up folder instead. Follow these steps:

   1. Determine the options your UPS needs and add them to the
      'START /MIN /C UPSDAEM' line below. See readme.txt for details.
   2. Test operation of UPSDAEM using this script.
   3. Once this script starts UPSDAEM with your UPS, right-click on the icon
      of this script and select the Session tab. Check the two boxes labeled
      "Start Minimized" and "Close window on exit". This script will now run
      minimized and close automatically when UPSDAEM is started.
   4. Create a shadow of startupsd.cmd in the Start-up folder located
      in the Local System folder. Whenever eComStation is booted up,
      UPSDAEM will automatically start up minimized if using the START /MIN
      option.
   5. To review operation of UPSDAEM, bring up the Window list using CRTL-ESC,
      right-click on UPSDAEM entry and select SHOW from the menu.

      NOTE: POSSIBLE START-UP PROBLEMS WITH UPSDAEM IF STARTED FROM START-UP
            FOLDER DURING BOOT-UP.

      There is still a possibility that UPSDAEM will not stay running, rather
      it will close right away after start-up. Not sure, but it may be related
      to the OS/2-eCS boot-up process and the serial ports not being available.
      If UPSDAEM does not remain running after it had been started through
      the Start-up folder, then unremark the code below that inserts a 10
      second delay before starting UPSDAEM. The delay may be increased in
      steps of one second if necessary. We have found that this corrects
      the start-up problem mentioned here.

*/

/*
Ten second delay before UPSDAEM is started.
Unremark three lines below if UPSDAEM does not stay running after it
had been started from the Start-up folder during boot-up process.
*/

/*
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
call SysSleep 10  /* do 10 sec delay */
*/

/* Fill in all command line options here */
'START /MIN /C UPSDAEM -COM2'
EXIT
